{
    "replace": true,
    "slots": ["sword/hilt"],
    "type": "tetra:basic_major_module",
    "renderLayer": "lower",
    "improvements": [
        "tetra:sword/basic_hilt/",
        "tetra:sword/shared_hilt/",
        "tetra:sword/shared/",
        "tetra:shared/"
    ],
    "variants": [
        {
            "key": "lightsaber_hilt/lightsaber_hilt",
            
            "attributes": {
                "generic.attack_speed": -0.4
            },
            "aspects": {
                "edgedWeapon": 2,
                "breakable": 2
            },
            "integrity": 15,
            "durability": -3500,
            "magicCapacity": 250,
            "glyph": {
                "textureX": 16
            },
            "models": [
                {
                    "location": "tetra:item/module/sword/hilt/basic/lightsaber_hilt",
                    "transform":
                    {
                        "translation":[-0.15,-0.15,-0.30],
                        "scale":[0.8,0.8,1.6],
                        "rotation":[0,0,0]
                    }
                }
            ]

        }
    ]
}
